BLK_INTEGRITY_COMPAR(9)

NAME
blk_integrity_compare - Compare integrity profile of two disks

SYNOPSIS

int blk_integrity_compare(struct gendisk * gd1, struct gendisk * gd2);

ARGUMENTS

gd1
    Disk to compare

gd2
    Disk to compare

DESCRIPTION

Meta-devices like DM and MD need to verify that all sub-devices use the same integrity format before advertising to upper layers that they can send/receive integrity metadata. This function can be used to check whether two gendisk devices have compatible integrity formats.

COPYRIGHT